Package org.pushingpixels.substance.api

# Interface ColorSchemeSingleColorQuery

public interface ColorSchemeSingleColorQuery
Defines a query that returns a single color based on a color scheme.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ColorSchemeSingleColorQuery`
`DARK`
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the dark color of the specified color scheme.
`static final ColorSchemeSingleColorQuery`
`EXTRALIGHT`
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the extra light color of the specified color scheme.
`static final ColorSchemeSingleColorQuery`
`FOREGROUND`
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the foreground color of the specified color scheme.
`static final ColorSchemeSingleColorQuery`
`LIGHT`
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the light color of the specified color scheme.
`static final ColorSchemeSingleColorQuery`
`MID`
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the mid color of the specified color scheme.
`static final ColorSchemeSingleColorQuery`
`ULTRADARK`
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the ultra dark color of the specified color scheme.
`static final ColorSchemeSingleColorQuery`
`ULTRALIGHT`
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the ultra light color of the specified color scheme.

## Method Summary

Modifier and Type
Method
Description
`Color`
`query(SubstanceColorScheme scheme)`
Returns a single color based on the specified color scheme.

## Field Details

### ULTRALIGHT

static final ColorSchemeSingleColorQuery ULTRALIGHT
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the ultra light color of the specified color scheme.

### EXTRALIGHT

static final ColorSchemeSingleColorQuery EXTRALIGHT
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the extra light color of the specified color scheme.

### LIGHT

static final ColorSchemeSingleColorQuery LIGHT
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the light color of the specified color scheme.

### MID

static final ColorSchemeSingleColorQuery MID
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the mid color of the specified color scheme.

### DARK

static final ColorSchemeSingleColorQuery DARK
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the dark color of the specified color scheme.

### ULTRADARK

static final ColorSchemeSingleColorQuery ULTRADARK
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the ultra dark color of the specified color scheme.

### FOREGROUND

static final ColorSchemeSingleColorQuery FOREGROUND
Core implementation of the `ColorSchemeSingleColorQuery` interface that returns the foreground color of the specified color scheme.

## Method Details

### query

Color query(SubstanceColorScheme scheme)
Returns a single color based on the specified color scheme.

Parameters:
  `scheme` - The color scheme.
Returns:
  The color based on the specified color scheme.